Package org.h2gis.functions.io.osm

# Class NodeOSMElement

java.lang.Object
org.h2gis.functions.io.osm.OSMElement
org.h2gis.functions.io.osm.NodeOSMElement

public class NodeOSMElement extends OSMElement
A class to manage the node element properties.

Author:
  Erwan Bocher

## Constructor Summary

Constructors
Constructor
Description
`NodeOSMElement(double latitude, double longitude)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addTag(String key, String value)`
`Double`
`getElevation()`
`org.locationtech.jts.geom.Point`
`getPoint(org.locationtech.jts.geom.GeometryFactory gf)`
The geometry of the node
`void`
`setElevation(double elevation)`

### Methods inherited from class org.h2gis.functions.io.osm.OSMElement

`getChangeSet, getID, getName, getTags, getTimeStamp, getUID, getUser, getVersion, getVisible, setChangeset, setId, setName, setTimestamp, setUid, setUser, setVersion, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NodeOSMElement

public NodeOSMElement(double latitude, double longitude)
Constructor

Parameters:
  `latitude` - Latitude value
  `longitude` - Longitude value

## Method Details

### setElevation

public void setElevation(double elevation)

Parameters:
  `elevation` - Elevation (also known as altitude or height) above mean sea level in metre, based on geoid model EGM 96 which is used by WGS 84 (GPS).

### getPoint

public org.locationtech.jts.geom.Point getPoint(org.locationtech.jts.geom.GeometryFactory gf)
The geometry of the node

Returns:
  Point value

### getElevation

public Double getElevation()

Returns:
  Elevation (also known as altitude or height) above mean sea level in metre, based on geoid model EGM 96 which is used by WGS 84 (GPS).

### addTag

public boolean addTag(String key, String value)

Overrides:
  `addTag` in class `OSMElement`
Returns:
  True if the tag should be inserted in the tag table.